=== worker/Makefile ===
# developer utilities
pylint:
	pylint -j4 --rcfile=../common/pylintrc buildbot_worker

flake8:
	flake8 --config=../common/flake8rc buildbot_worker
