=== debian/changelog ===
buildbot (1.1.1-3ubuntu5) bionic; urgency=medium

  * Increase timeouts for starting services.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Apr 2018 10:40:12 +0200

buildbot (1.1.1-3ubuntu4) bionic; urgency=medium

  * Try harder to include the information about autopkg test failures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 02:00:22 +0200

buildbot (1.1.1-3ubuntu3) bionic; urgency=medium

  * Ignore the autopkg test failure on arm64 for now.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Apr 2018 22:43:02 +0200

buildbot (1.1.1-3ubuntu1) bionic; urgency=medium

  * Be more verbose for failures in the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Apr 2018 19:49:44 +0200

buildbot (1.1.1-3) unstable; urgency=medium

  * Set PAPT as maintainer and update Vcs-* urls
  * Add systemd service files
  * Fix tests for systemd

 -- Robin Jarry <robin@jarry.cc>  Mon, 09 Apr 2018 20:51:53 +0200

buildbot (1.1.1-2) unstable; urgency=medium

  * Fix worker init script.
  * Fix empty doc package.
  * Update Standards-Version to 4.1.4. No changes required.

 -- Robin Jarry <robin@jarry.cc>  Mon, 09 Apr 2018 13:06:10 +0200

buildbot (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * New maintainer (Closes: #883529).
  * Switch to python 3.
  * The web-ui is no more included in the main package and not yet available
    in Debian. In the meantime, you may install buildbot-www from pypi.

 -- Robin Jarry <robin@jarry.cc>  Fri, 06 Apr 2018 21:00:05 +0200

buildbot (0.8.14-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. See #883529.
  * New upstream version (but not 0.9.x).

 -- Matthias Klose <doko@debian.org>  Mon, 04 Dec 2017 20:10:15 +0100

buildbot (0.8.12-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild to drop SQLALchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Jan 2017 23:11:50 +0100

buildbot (0.8.12-3.1) unstable; urgency=medium

  * NMU to fix build with sphinx 1.4 (Closes: #827622).

 -- W. Martin Borgert <debacle@debian.org>  Tue, 26 Jul 2016 19:07:43 +0000
