=== debian/control ===
Source: buildbot
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Robin Jarry <robin@jarry.cc>
Standards-Version: 4.1.4
Build-Depends:
 debhelper (>= 10.0),
 dh-python (>= 3.20180313~),
 bash-completion,
 python3-all (>= 3.5),
 python3-pkg-resources,
 python3-setuptools,
 python3-autobahn (>= 0.16.0),
 python3-dateutil (>= 1.5),
 python3-future,
 python3-idna,
 python3-jinja2 (>= 2.1),
 python3-jwt,
 python3-migrate (>= 0.9),
 python3-openssl,
 python3-pkg-resources (>= 8.0),
 python3-service-identity,
 python3-sqlalchemy (>= 0.8.0),
 python3-twisted (>= 17.9.0),
 python3-txaio (>= 2.2.2),
 python3-zope.interface (>= 4.1.1),
 python3-mock,
 python3-treq,
 python3-yaml,
 python3-sphinx,
 python3-docutils,
 python3-sphinxcontrib.blockdiag,
 sphinx-doc,
 sphinx-common,
Homepage: https://buildbot.net
Vcs-Git: https://salsa.debian.org/python-team/applications/buildbot.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/buildbot

Package: python3-buildbot
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-autobahn (>= 0.16.0),
 python3-dateutil (>= 1.5),
 python3-future,
 python3-idna,
 python3-jinja2 (>= 2.1),
 python3-jwt,
 python3-migrate (>= 0.9),
 python3-openssl,
 python3-pkg-resources (>= 8.0),
 python3-service-identity,
 python3-sqlalchemy (>= 0.8.0),
 python3-twisted (>= 17.9.0),
 python3-txaio (>= 2.2.2),
 python3-zope.interface (>= 4.1.1),
 passwd,
 lsb-base,
Breaks:
 buildbot (<< 1.0),
 buildbot-slave (<< 1.0),
Recommends:
 python3-buildbot-worker,
 bash-completion,
Suggests:
 python3-buildbot-doc,
 python3-lz4,
 python3-psycopg2 | python3-mysqldb,
Description: System to automate the compile/test cycle (server)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the master server.

Package: python3-buildbot-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: System to automate the compile/test cycle (documentation)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the HTML documentation for both the master
 and worker.

Package: python3-buildbot-worker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-future,
 python3-twisted (>= 17.9.0),
 passwd,
 lsb-base,
Breaks:
 buildbot (<< 1.0),
 buildbot-slave (<< 1.0),
Recommends:
 bzr | subversion | cvs | mercurial | darcs | git,
Description: System to automate the compile/test cycle (worker agent)
 The BuildBot is a system to automate the compile/test cycle required
 by most software projects to validate code changes. By automatically
 rebuilding and testing the tree each time something has changed,
 build problems are pinpointed quickly, before other developers are
 inconvenienced by the failure. The guilty developer can be identified
 and harassed without human intervention.
 .
 By running the builds on a variety of platforms, developers who do
 not have the facilities to test their changes everywhere before
 checkin will at least know shortly afterwards whether they have
 broken the build or not. Warning counts, lint checks, image size,
 compile time, and other build parameters can be tracked over time,
 are more visible, and are therefore easier to improve.
 .
 This package contains the worker, which performs the actual builds.
 It is recommended to run the worker on behalf of a non-privileged user.

Package: buildbot
Depends:
 ${misc:Depends},
 python3-buildbot,
Architecture: all
Section: oldlibs
Description: transitional package for python3-buildbot
 This is a transitional package for python3-buildbot. It can safely be
 removed.

Package: buildbot-slave
Depends:
 ${misc:Depends},
 python3-buildbot-worker,
Architecture: all
Section: oldlibs
Description: transitional package for python3-buildbot-worker
 This is a transitional package for python3-buildbot-worker. It can
 safely be removed.
