=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://github.com/buildbot/buildbot/releases \
	.+/buildbot-(\d\S+?)\.gitarchive\.tar\.gz debian uupdate
