=== debian/changelog ===
buildbot (1.4.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Be more verbose for failures in the autopkg test.
    - Ignore the autopkg test failure on arm64 and i386 for now.
    - Increase timeouts for starting services.
  * Relax tests on armhf as well.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Sep 2018 12:16:24 +0200

buildbot (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Robin Jarry <robin@jarry.cc>  Tue, 04 Sep 2018 09:43:47 +0200

buildbot (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Update Standards-Version to 4.1.5. No changes required.

 -- Robin Jarry <robin@jarry.cc>  Tue, 17 Jul 2018 12:04:54 +0200

buildbot (1.2.0-1ubuntu3) cosmic; urgency=medium

  * Relax tests on i386 as well.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Aug 2018 12:17:19 +0200

buildbot (1.2.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Be more verbose for failures in the autopkg test.
    - Ignore the autopkg test failure on arm64 for now.
    - Increase timeouts for starting services.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 18:59:46 +0200

buildbot (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * d/patches: remove fix for twisted 18.4

 -- Robin Jarry <robin@jarry.cc>  Tue, 12 Jun 2018 13:47:56 +0200

buildbot (1.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Robin Jarry ]
  * d/watch: update archive url pattern
  * d/patches: fix test failures with twisted 18.4
  * New upstream version 1.1.2

 -- Robin Jarry <robin@jarry.cc>  Wed, 23 May 2018 12:09:49 +0200
