=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Build-Depends:
  debhelper (>= 10.0),
  dh-python (>= 3.20180313~),
