=== worker/Makefile ===
--- 
+++ 
@@ -4,3 +4,13 @@
 
 flake8:
 	flake8 --config=../common/flake8rc buildbot_worker
+
+.PHONY: Dockerfile.py3
+
+Dockerfile.py3:
+	printf "# generated by 'make -f Makefile Dockerfile.py3', do not edit\n\n" > Dockerfile.py3
+	sed -e "s|python-dev|python3-dev|g" \
+            -e "s|python-setuptool|python3-setuptool|g" \
+            -e "s|pip install|pip3 install|g" \
+            -e "s|easy_install|easy_install3|g" \
+            Dockerfile >> Dockerfile.py3
