=== debian/changelog ===
buildbot (2.0.1-2) unstable; urgency=high

  * Fix OAuth module security bypass [CVE-2019-12300] (Closes: #929849)

 -- Robin Jarry <robin@jarry.cc>  Mon, 03 Jun 2019 14:47:25 +0200

buildbot (2.0.1-1) unstable; urgency=medium

  * Use scdoc for man pages
  * New upstream version 2.0.1
  * Set python3-buildbot-doc as Multi-Arch: foreign
  * Use make rules to build man pages with scdoc

 -- Robin Jarry <robin@jarry.cc>  Mon, 11 Feb 2019 21:26:20 +0100

buildbot (2.0.0-1) unstable; urgency=high

  [ Robin Jarry ]
  * Set buildbot-doc as Multi-Arch: foreign
  * New upstream version 2.0.0
  * [CVE-2019-7313] Fix CRLF injection bug (Closes: #921271)
  * d/patches: remove 0005-tests-use-explicit-python-executable-path

  [ Adriano Rafael Gomes ]
  * Add debconf translations: Brazilian Portuguese (Closes: #920542)

  [ Jean-Pierre Giraud ]
  * Add debconf translations: French (Closes: #920710)

  [ Yangfl ]
  * Add debconf translations: Chinese (Closes: #920979)

  [ Frans Spiesschaert ]
  * Add debconf translations: Dutch (Closes: #921089)

  [ victory ]
  * Add debconf translations: Japanese (Closes: #921155)

 -- Robin Jarry <robin@jarry.cc>  Mon, 04 Feb 2019 10:06:17 +0100

buildbot (1.8.0-1) unstable; urgency=medium

  [ Robin Jarry ]
  * Fix upgrade from stable (Closes: #919113)
  * New upstream version 1.8.0
  * Add Debian patch to fix new kubernetes unit tests

  [ Américo Monteiro ]
  * Add debconf translations: Portuguese (Closes: #919128)

  [ Joe Dalton ]
  * Add debconf translations: Danish (Closes: #919079)

  [ Helge Kreutzmann ]
  * Add debconf translations: German (Closes: #919751)

 -- Robin Jarry <robin@jarry.cc>  Mon, 21 Jan 2019 12:07:22 +0100

buildbot (1.7.0-2) unstable; urgency=medium

  * Avoid prompting the user for "unmodified" default files.
  * Fix typos in man pages and scripts.
  * Move from experimental to unstable.

 -- Robin Jarry <robin@jarry.cc>  Wed, 09 Jan 2019 14:47:18 +0100

buildbot (1.7.0-1) experimental; urgency=medium

  * New upstream version 1.7.0 (LP: #1232672, #1279362, #1285779, #1617810)
  * Upgrade standards version to 4.3.0
  * Fix buildbot master startup timeout (Closes: #917422)
  * Enhance systemd services
  * Fix lintian warnings
  * Fix unit tests environment
  * Rename packages again
  * smokes: fix check for systemd
  * Add man pages for master and worker instances administration
    (LP: #1785331)
  * Enable automatic master instances upgrade
  * Restart worker on upgrade

 -- Robin Jarry <robin@jarry.cc>  Tue, 08 Jan 2019 15:05:59 +0100

buildbot (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * d/control: update standards version to 4.2.1

 -- Robin Jarry <robin@jarry.cc>  Mon, 19 Nov 2018 22:03:03 +0100
