## buildbot 2.3.1

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 # upgrade FE dependencies
 frontend_yarn_upgrade:
-	for i in $(WWW_PKGS) $(WWW_EX_PKGS); do (cd $$i; echo $$i; yarn upgrade || echo $$i failed); done
+	for i in $(WWW_PKGS) $(WWW_EX_PKGS); do (cd $$i; echo $$i; rm -rf yarn.lock; yarn install || echo $$i failed); done
 
 # install git hooks for validating patches at commit time
 hooks:
