=== debian/changelog ===
buildbot (2.3.1-1) unstable; urgency=medium

  * d/upstream: add second signing key
  * New upstream version 2.3.1
  * d/patches: remove merged by upstream
  * add parameterized dep
  * d/control: update dependencies

 -- Robin Jarry <robin@jarry.cc>  Tue, 09 Jul 2019 09:38:25 +0200
