=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 10.0),
+ debhelper-compat (= 12),
  dh-python (>= 3.20180313~),
  bash-completion,
- python3-all (>= 3.5),
- python3-pkg-resources,
+ po-debconf,
+ python3 (>= 3.5),
  python3-setuptools,
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
@@ -19,6 +19,7 @@
  python3-jwt,
  python3-migrate (>= 0.9),
  python3-openssl,
+ python3-parameterized,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
  python3-sqlalchemy (>= 0.8.0),
@@ -33,18 +34,19 @@
  python3-sphinxcontrib.blockdiag,
  sphinx-doc,
  sphinx-common,
+ scdoc,
 Homepage: https://buildbot.net
 Vcs-Git: https://salsa.debian.org/python-team/applications/buildbot.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/buildbot
+Rules-Requires-Root: no
 
-Package: python3-buildbot
+Package: buildbot
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
- python3-future,
  python3-idna,
  python3-jinja2 (>= 2.1),
  python3-jwt,
@@ -52,20 +54,21 @@
  python3-openssl,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 0.8.0),
+ python3-sqlalchemy (>= 1.1.0),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
  passwd,
  lsb-base,
 Breaks:
- buildbot (<< 1.0),
- buildbot-slave (<< 1.0),
+ python3-buildbot (<< 1.7.0),
+Replaces:
+ python3-buildbot (<< 1.7.0),
 Recommends:
- python3-buildbot-worker,
+ buildbot-worker,
  bash-completion,
 Suggests:
- python3-buildbot-doc,
+ buildbot-doc,
  python3-lz4,
  python3-psycopg2 | python3-mysqldb,
 Description: System to automate the compile/test cycle (server)
@@ -85,12 +88,19 @@
  .
  This package contains the master server.
 
-Package: python3-buildbot-doc
+Package: buildbot-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Breaks:
+ buildbot (<< 1.0),
+ python3-buildbot-doc (<< 1.7.0),
+Replaces:
+ buildbot (<< 1.0),
+ python3-buildbot-doc (<< 1.7.0),
 Description: System to automate the compile/test cycle (documentation)
  The BuildBot is a system to automate the compile/test cycle required
  by most software projects to validate code changes. By automatically
@@ -109,7 +119,7 @@
  This package contains the HTML documentation for both the master
  and worker.
 
-Package: python3-buildbot-worker
+Package: buildbot-worker
 Architecture: all
 Depends:
  ${misc:Depends},
@@ -119,8 +129,11 @@
  passwd,
  lsb-base,
 Breaks:
- buildbot (<< 1.0),
  buildbot-slave (<< 1.0),
+ python3-buildbot-worker (<< 1.7.0),
+Replaces:
+ buildbot-slave (<< 1.0),
+ python3-buildbot-worker (<< 1.7.0),
 Recommends:
  bzr | subversion | cvs | mercurial | darcs | git,
 Description: System to automate the compile/test cycle (worker agent)
@@ -141,22 +154,42 @@
  This package contains the worker, which performs the actual builds.
  It is recommended to run the worker on behalf of a non-privileged user.
 
-Package: buildbot
-Depends:
- ${misc:Depends},
- python3-buildbot,
-Architecture: all
-Section: oldlibs
-Description: transitional package for python3-buildbot
- This is a transitional package for python3-buildbot. It can safely be
- removed.
-
 Package: buildbot-slave
 Depends:
  ${misc:Depends},
- python3-buildbot-worker,
+ buildbot-worker,
 Architecture: all
 Section: oldlibs
-Description: transitional package for python3-buildbot-worker
- This is a transitional package for python3-buildbot-worker. It can
+Description: transitional package for buildbot-worker
+ This is a transitional package for buildbot-worker. It can safely be
+ removed.
+
+Package: python3-buildbot
+Depends:
+ ${misc:Depends},
+ buildbot,
+Architecture: all
+Section: oldlibs
+Description: transitional package for buildbot
+ This is a transitional package for buildbot. It can safely be removed.
+
+Package: python3-buildbot-worker
+Depends:
+ ${misc:Depends},
+ buildbot-worker,
+Architecture: all
+Section: oldlibs
+Description: yet another transitional package for buildbot-worker
+ This is a yet another transitional package for buildbot-worker. It can
  safely be removed.
+
+Package: python3-buildbot-doc
+Depends:
+ ${misc:Depends},
+ buildbot-doc,
+Architecture: all
+Multi-Arch: foreign
+Section: oldlibs
+Description: transitional package for buildbot-doc
+ This is a transitional package for buildbot-doc. It can safely be
+ removed.
