## buildbot 2.6.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,10 @@
 
 WWW_PKGS := www/base www/console_view www/grid_view www/waterfall_view www/wsgi_dashboards www/badges
 WWW_EX_PKGS := www/nestedexample www/codeparameter
+WWW_DEP_PKGS := www/guanlecoja-ui www/data_module
 ALL_PKGS := master worker pkg $(WWW_PKGS)
+
+WWW_PKGS_FOR_UNIT_TESTS := $(filter-out www/badges, $(WWW_DEP_PKGS) $(WWW_PKGS))
 
 ALL_PKGS_TARGETS := $(addsuffix _pkg,$(ALL_PKGS))
 .PHONY: $(ALL_PKGS_TARGETS)
@@ -36,10 +39,26 @@
 	$(MAKE) -C worker flake8
 	flake8 --config=common/flake8rc www/*/buildbot_*/
 	flake8 --config=common/flake8rc www/*/setup.py
+	flake8 --config=common/flake8rc common/*.py
 
 frontend_deps: $(VENV_NAME)
 	$(PIP) install -e pkg
 	$(PIP) install mock wheel buildbot
+	cd www/build_common; yarn install --pure-lockfile
+	for i in $(WWW_DEP_PKGS); \
+		do (cd $$i; yarn install --pure-lockfile; yarn run build); done
+
+frontend_tests: frontend_deps
+	for i in $(WWW_PKGS); \
+		do (cd $$i; yarn install --pure-lockfile); done
+	for i in $(WWW_PKGS_FOR_UNIT_TESTS); \
+		do (cd $$i; yarn run build-dev || exit 1; yarn run test || exit 1) || exit 1; done
+
+frontend_tests_headless: frontend_deps
+	for i in $(WWW_PKGS); \
+		do (cd $$i; yarn install --pure-lockfile); done
+	for i in $(WWW_PKGS_FOR_UNIT_TESTS); \
+		do (cd $$i; yarn run build-dev || exit 1; yarn run test --browsers BBChromeHeadless || exit 1) || exit 1; done
 
 # rebuild front-end from source
 frontend: frontend_deps
@@ -51,13 +70,14 @@
 
 # upgrade FE dependencies
 frontend_yarn_upgrade:
-	for i in $(WWW_PKGS) $(WWW_EX_PKGS); do (cd $$i; echo $$i; rm -rf yarn.lock; yarn install || echo $$i failed); done
+	for i in $(WWW_PKGS) $(WWW_EX_PKGS) $(WWW_DEP_PKGS); \
+		do (cd $$i; echo $$i; rm -rf yarn.lock; yarn install || echo $$i failed); done
 
 # install git hooks for validating patches at commit time
 hooks:
 	cp common/hooks/* `git rev-parse --git-dir`/hooks
 rmpyc:
-	find . \( -name '*.pyc' -o -name '*.pyo' \) -exec rm -v {} \;
+	find master worker \( -name '*.pyc' -o -name '*.pyo' \) -exec rm -v {} \;
 
 isort:
 	isort -rc worker master
@@ -73,18 +93,23 @@
 	$(DOCKERBUILD) -t buildbot/buildbot-master:master master
 
 $(VENV_NAME):
-	virtualenv -p $(VENV_PY_VERSION) $(VENV_NAME)
+	virtualenv -p $(VENV_PY_VERSION) --no-site-packages $(VENV_NAME)
 	$(PIP) install -U pip setuptools
 
 # helper for virtualenv creation
 virtualenv: $(VENV_NAME)   # usage: make virtualenv VENV_PY_VERSION=python3.4
-	@echo now you can type following command  to activate your virtualenv
-	@echo . $(VENV_NAME)/bin/activate
 	$(PIP) install -e pkg \
 		-e 'master[tls,test,docs]' \
 		-e 'worker[test]' \
-		buildbot_www packaging \
-		'towncrier>=17.8.0,<=18.5.0'
+		buildbot_www packaging towncrier
+	@echo now you can type following command  to activate your virtualenv
+	@echo . $(VENV_NAME)/bin/activate
+
+TRIALOPTS?=buildbot
+
+.PHONY: trial
+trial: virtualenv
+	. $(VENV_NAME)/bin/activate && trial $(TRIALOPTS)
 
 release_notes: $(VENV_NAME)
 	test ! -z "$(VERSION)"  #  usage: make release_notes VERSION=0.9.2
@@ -95,7 +120,7 @@
 	. $(VENV_NAME)/bin/activate && ./common/maketarball.sh $(patsubst %_pkg,%,$@)
 
 cleanup_for_tarballs:
-	find . -name VERSION -exec rm {} \;
+	find master pkg worker www -name VERSION -exec rm {} \;
 	rm -rf dist
 	mkdir dist
 .PHONY: cleanup_for_tarballs
@@ -121,7 +146,7 @@
 
 finishrelease:
 	rm -rf dist
-	python ./common/download_release.py
+	python3 ./common/download_release.py
 	rm -rf ./dist/v*
 	./common/smokedist.sh
 	twine upload --sign dist/*
