=== debian/changelog ===
buildbot (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Bump Standards-Version to 4.5.0
  * Fix lintian warning

 -- Robin Jarry <robin@jarry.cc>  Mon, 27 Jan 2020 13:35:00 +0100

buildbot (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Robin Jarry ]
  * Convert blockdiag diagrams to ascii drawings
  * d/control: remove dependency to python3-sphinxcontrib.blockdiag
  * Bump Standards-Version to 4.4.1
  * New upstream version 2.4.1
  * d/patches: adapt for new version
  * d/control: add build dependency to git

 -- Robin Jarry <robin@jarry.cc>  Tue, 15 Oct 2019 12:10:59 +0200
