=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Robin Jarry <robin@jarry.cc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Build-Depends:
  debhelper-compat (= 12),
  dh-python (>= 3.20180313~),
  bash-completion,
  po-debconf,
+ git,
  python3 (>= 3.5),
  python3-setuptools,
  python3-autobahn (>= 0.16.0),
@@ -31,7 +32,6 @@
  python3-yaml,
  python3-sphinx,
  python3-docutils,
- python3-sphinxcontrib.blockdiag,
  sphinx-doc,
  sphinx-common,
  scdoc,
