=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,6 @@
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start -r --no-restart-after-upgrade
 	ln -s /dev/null debian/buildbot/lib/systemd/system/buildbot.service
-	ln -s /dev/null debian/buildbot/lib/systemd/system/buildmaster.service
 	ln -s /dev/null debian/buildbot-worker/lib/systemd/system/buildbot-worker.service
 
 %:
