=== debian/changelog ===
buildbot (2.8.2-3) unstable; urgency=medium

  * Fix unit tests with sqlalchemy 1.3.18 (Closes: #966973)

 -- Robin Jarry <robin@jarry.cc>  Fri, 21 Aug 2020 17:10:45 +0200

buildbot (2.8.2-2) unstable; urgency=medium

  * dh_missing: ignore *windows_service scripts

 -- Robin Jarry <robin@jarry.cc>  Thu, 02 Jul 2020 17:46:57 +0200

buildbot (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * Fixed docs compilation with Sphinx 3.x (Closes: #963642)

 -- Robin Jarry <robin@jarry.cc>  Thu, 02 Jul 2020 15:30:00 +0200

buildbot (2.7.0-1) unstable; urgency=medium

  * Force gbp to use .asc signature
  * New upstream version 2.7.0
  * Add python3-sphinx-rtd-theme as build dependency
  * Rebase debian patches on latest code
  * Remove patches that were applied upstream
  * Remove numbers in debian patches
  * Fix errors in httpclient tests

 -- Robin Jarry <robin@jarry.cc>  Wed, 04 Mar 2020 10:31:42 +0100
