=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Robin Jarry <robin@jarry.cc>
 Standards-Version: 4.5.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python (>= 3.20180313~),
  bash-completion,
  po-debconf,
  git,
  python3 (>= 3.5),
- python3-setuptools,
+ python3-setuptools (>= 8.0),
  python3-autobahn (>= 0.16.0),
  python3-dateutil (>= 1.5),
  python3-future,
@@ -23,7 +23,7 @@
  python3-parameterized,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 0.8.0),
+ python3-sqlalchemy (>= 1.2.0),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
@@ -31,6 +31,7 @@
  python3-treq,
  python3-yaml,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-docutils,
  sphinx-doc,
  sphinx-common,
@@ -54,7 +55,7 @@
  python3-openssl,
  python3-pkg-resources (>= 8.0),
  python3-service-identity,
- python3-sqlalchemy (>= 1.1.0),
+ python3-sqlalchemy (>= 1.2.0),
  python3-twisted (>= 17.9.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
